name: linux_ci

on: [push, pull_request]

jobs:
  build-native:
    strategy:
      matrix:
        os: [ubuntu-20.04, ubuntu-22.04]
        compiler: [clang, gcc]
    runs-on: ${{ matrix.os }}
    continue-on-error: false
    env:
      CC: ${{ matrix.compiler }}
      ARCH: native
    name: ${{ matrix.compiler }} - ${{ matrix.os }}
    steps:
    - uses: actions/checkout@main
    - name: Run CI script
      run: ./scripts/test
